Bug 8368 - Unable to configure a gateway outside from local ip subnet.
Unable to configure a gateway outside from local ip subnet.
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-11 06:21 EST by Julien Brouchier
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-27 07:00:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julien Brouchier 2000-01-11 06:21:54 EST
here's the network config:
IP adress: 192.168.1.11 (netmask/24)
default GW : 192.168.2.1
so i configured another local IP subnet in linuxconf but this fail to set
up the default route when booting. It seems that the initscripts try to set
up the GW before adding the subnet 192.168.2.0/24 as local, so it fails.

A solution would be to move the defaultGW section from
/etc/sysconfig/network-scripts/ifup to ifup-routes after the local routes
had been added... this seems more coherent.

PS: doing it by hand using route add works well.
Comment 1 Bill Nottingham 2000-01-11 16:15:59 EST
Do you have two subnets on the same interface, or
a static route to the gateway?
Comment 2 Julien Brouchier 2000-01-12 04:37:59 EST
I have two subnet on the same ethernet network (on the test config not for real
;) ). In fact the scripts should automagically add the route to the other local
subnet when it finds out that the gateway IP is not on the local subnet. (this
works well if you have only one eth interface, it can be more tricky with 2+
interfaces...)
Comment 3 Bill Nottingham 2000-03-20 12:33:59 EST
Could you post the /etc/sysconfig/network-scripts/ifcfg-*,
/etc/sysconfig/network, and the routing table you're trying
to achieve?
Comment 4 Bill Nottingham 2000-06-10 19:41:48 EDT
closed, lack of input.

Note You need to log in before you can comment on or make changes to this bug.